Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sampleApplications
Class CSSHelloWorld

    java.lang.Object
      |
      +--sampleApplications.CSSHelloWorld

public class CSSHelloWorld
extends java.lang.Object

This sample application interacts with the security platform interface (@link com.hyperion.css.CSSAPIIF}, walking through groups in the directory and printing user and group information. The user and group information is printed recursively.

This application uses the following classes of this package:

- `MyApp.java`

Constructor Summary
`CSSHelloWorld()`

Method Summary
`static void` | `main(java.lang.String[] args)` Main part of program: Create instance of application MyApp, and write back to the log file of MyApp if exceptions occur.
`static void` | `printGroup(com.hyperion.css.common.CSSGroupIF g, int level)` Print the group and the level recursively.
`static void` | `printGroups(java.lang.String[] groups, int level)` Print the groups on a particular level.
`static void` | `printUsers(java.lang.String[] users, int level)` Print users' first names and identity strings, and their corresponding levels.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSHelloWorld

    public CSSHelloWorld()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main part of program: Create instance of application MyApp, and write back to the log file of MyApp if exceptions occur.

  Parameters:
    `args` -

### printGroups

    public static void printGroups(java.lang.String[] groups,
                                   int level)
                            throws CSSException

  Print the groups on a particular level.

  Parameters:
    `level` - - the level of the groups.
    `CSSException`

### printGroup

    public static void printGroup(com.hyperion.css.common.CSSGroupIF g,
                                  int level)
                           throws CSSException

  Print the group and the level recursively.

  Parameters:
    `g` - - the group to print, along with all its subgroups and users, recursively.
    `level` - - the level of the group in the hierarchy.
    `CSSException`

### printUsers

    public static void printUsers(java.lang.String[] users,
                                  int level)
                           throws CSSException

  Print users' first names and identity strings, and their corresponding levels.

  Parameters:
    `users` -
    `level` - - the level of the users in the group hierarchy.
    `CSSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD